global:
  projectId: 1000
  projectName: example

secret:
  data:
    ## Required secret for database connection
    POSTGRES_PASSWORD: "xxxxxx"
    REDIS_PASSWORD: "xxxxxx"

images:
  app:
    registry: qmigrator.azurecr.io
    image: qui
    tag: "ora2pg-3062-v4.0.0.3061"
    pullPolicy: IfNotPresent
  eng:
    registry: qmigrator.azurecr.io
    image: qapi
    tag: "ora2pg-3055-v4.0.0.1174"
    pullPolicy: IfNotPresent
  db:
    registry: qmigrator.azurecr.io
    image: postgres
    tag: "16"
    pullPolicy: IfNotPresent
  dbJob:
    registry: qmigrator.azurecr.io
    image: qpdb
    tag: common-v4.0.7.235
    pullPolicy: IfNotPresent
  msg:
    registry: qmigrator.azurecr.io
    image: eqalpha/keydb
    tag: "alpine_3.19_v6.3.4"
    pullPolicy: IfNotPresent
  asses:
    registry: qmigrator.azurecr.io
    image: qasmt
    tag: "oracle_postgres-3055-v4.0.0.2533"
    pullPolicy: IfNotPresent
  convs:
    registry: qmigrator.azurecr.io
    image: qconv
    tag: "oracle_postgres-3055-v4.0.0.2529"
    pullPolicy: IfNotPresent
  migrt:
    registry: qmigrator.azurecr.io
    image: qdmgr
    tag: "oracle_postgres-3055-v4.0.0.2520"
    pullPolicy: IfNotPresent
  airflow:
    registry: qmigrator.azurecr.io
    image: qair
    tag: "ora2pg-2.10.5-312"
    pullPolicy: IfNotPresent

## Required docker registry information to pull images from
imageCredentials:
  data:
    username: "xxxxxx-951af420-xxxxxx"
    password: "xxxxxx-R518xxxxxxxx"

db:
  persistentVolume:
    storageClass: "disk-csi"

msg:
  persistentVolume:
    storageClass: "disk-csi"

## Required exsiting or new PVC to be created
shared:
  persistentVolume:
    existingClaim: "qmig-shared"

httpRoutes:
  enabled: true
  parentRefs:
    - name: qmig-gateway
      namespace: qmigrator
      sectionName: http
    - name: qmig-gateway
      namespace: qmigrator
      sectionName: https-qmig
  ## @param httpRoutes.hostnames hostnames in routes record Default: []
  hostnames:
    - "example.internal"

## Enabling the Airflow
airflow:
  enabled: true
  secret:
    data:
      ## Required airflow Password if enabled
      airflow_password: xxxx
